Update contact subscription status
Subscribe or unsubscribe a contact owned by the authenticated client.
PATCH
/
client
/
contacts
/
{id}
/
subscription
Update contact subscription status
curl --request PATCH \
--url https://api.mailerpath.com/api/v1/client/contacts/{id}/subscription \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"is_subscribed": true,
"unsubscribe_reason": "<string>"
}
'import requests
url = "https://api.mailerpath.com/api/v1/client/contacts/{id}/subscription"
payload = {
"is_subscribed": True,
"unsubscribe_reason": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_subscribed: true, unsubscribe_reason: '<string>'})
};
fetch('https://api.mailerpath.com/api/v1/client/contacts/{id}/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"active_states": 123,
"active_workflow_count": 123,
"client_contact_id": "<string>",
"client_id": 123,
"company": "<string>",
"created_at": "<string>",
"created_by": 123,
"custom_fields": [
123
],
"email": "<string>",
"external_id": "<string>",
"first_name": "<string>",
"health_score": 123,
"id": 123,
"is_subscribed": true,
"last_activity_at": "<string>",
"last_email_opened_at": "<string>",
"last_name": "<string>",
"last_purchase_at": "<string>",
"last_workflow_at": "<string>",
"phone": "<string>",
"signup_source": "<string>",
"tags": [
"<string>"
],
"timezone": "<string>",
"total_emails_clicked": 123,
"total_emails_opened": 123,
"total_emails_sent": 123,
"unsubscribe_reason": "<string>",
"unsubscribed_at": "<string>",
"updated_at": "<string>"
},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}Authorizations
JWT Bearer token or raw API key via Authorization header
Path Parameters
Contact ID or email
⌘I
Update contact subscription status

